<?php
/*
* $Id: shop_by_price.php
* $Loc: /templates/override/includes/pages/
*
* Name: ShopByPrice
* Version: 5.3.3
* Release Date: 2024-07-30
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  $breadcrumb->add(NAVBAR_TITLE, $Linker->build('shop_by_price.php')->retain_query_except());

  require $Template->map('template_top.php', 'component');
  
  if (!isset($range)) {
    $heading_title = HEADING_TITLE_1;
  } else {
    $heading_title = HEADING_TITLE_PRODUCTS;
    if (isset($_GET['cPath'])) {
      $heading_title .= HEADING_TITLE_CATEGORY . $category_name . '<br>';
    } elseif (isset($_GET['manufacturers_id'])) {
      $heading_title .= HEADING_TITLE_MANUFACTURER . $manufacturer_name  . '<br>';
    }
    if ($range >= 0) {
      if ($range == sizeof($price_ranges_array)+1) {
        $heading_title .= HEADING_TITLE_WITH;
      } else {
        $heading_title .= HEADING_TITLE_PRICE;
      }
      $heading_title .= $price_ranges[$range];
    }
  }
?>

<h1 class="display-4"><?=  $heading_title ?></h1>

<?php
  require 'includes/system/segments/sortable_product_listing.php';
?>

  <br>

  <div class="buttonSet">
    <?= new Button(IMAGE_BUTTON_BACK, 'fas fa-angle-left', null, [], $Linker->build('index.php')->retain_query_except(['page', 'range'])) ?>
  </div>

<?php
  require $Template->map('template_bottom.php', 'component');
?>
